/*----------------------------------------------------------------------------
    Styles du carrousel
----------------------------------------------------------------------------*/

/*Les slides*/
.swiper-slide {
  margin: 30px auto 20px;

  position: relative;

  text-align: center;

  height: 0;

  .div-blur {
    background-color: $black;
    backdrop-filter: blur(5px);
    opacity: 0.8;

    position: absolute;
    top: 50%;
    left: 50%;

    transform: translate(-50%, -50%);

    width: 100%;

    padding-top: 20px;

    h2 {
      font-size: $fz-h2-mobile-secondaire;

      padding-bottom: 10px;

      font-weight: bold;
    }

    p#note {
      font-size: $fz-p-mobile-normal;
      font-style: italic;
    }
  }
}

/*Le container*/
.swiper-container {
  .swiper-button-next {
    color: $color-text-accent;
    opacity: 50%;
  }

  .swiper-button-prev {
    color: $color-text-accent;
    opacity: 50%;
  }

  .swiper-scrollbar {
    background: $color-text-accent;
    opacity: 40%;
  }
}



/*----------------------------------------------------------------------------
    Médias queries
----------------------------------------------------------------------------*/

@media screen and(min-width: $vw-medium) {
  /*Les slides*/
  .swiper-slide {
    .div-blur {
      h2 {
        font-size: $fz-h2-secondaire;
      }

      p#note {
        font-size: $fz-p;
      }
    }
  }
}

@media screen and(min-width: $vw-huge) {
  /*Les slides*/
  .swiper-slide {
    .div-blur {
      h2 {
        font-size: $fz-h2;
      }

      p#note {
        font-size: $fz-p-secondaire-v2;
      }
    }
  }
}